Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/reading/getreadinghighlight

# Highlight detail

GET `https://api.rewind.rest/v1/reading/highlights/{id}`

Returns a single highlight by internal Rewind id, with nested parent-article context.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Path Parameters

#### id (path, string, required)

## Response

#### 200

Highlight detail

#### id (number, required)

#### text (string, required)

#### note (string, required)

#### position (number, required)

#### chapter (string, required)

#### page (number, required)

#### created\_at (string, required)

#### article (object, required)

#### properties

#### id (number, required)

#### title (string, required)

#### author (string, required)

#### domain (string, required)

#### url (string, required)

#### instapaper\_url (string, required)

#### instapaper\_app\_url (string, required)

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### 404

Not found

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X GET 'https://api.rewind.rest/v1/reading/highlights/{id}' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/reading/highlights/{id}', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.rewind.rest/v1/reading/highlights/{id}',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "id": 0,
  "text": "string",
  "note": "string",
  "position": 0,
  "chapter": "string",
  "page": 0,
  "created_at": "string",
  "article": {
    "id": 0,
    "title": "string",
    "author": "string",
    "domain": "string",
    "url": "string",
    "instapaper_url": "string",
    "instapaper_app_url": "string"
  }
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```

```json 404
{
  "error": "Not found",
  "status": 404
}
```
